ShowRotation 属性 (ActiveX)
确定地理地图图像、栅格图像或擦拭是否在其旋转值处显示。 支持的平台:仅限 Windows 属性值只读:不 类型:布尔
言论没有其他评论。 例子VBA: Sub Example_ShowRotation() ' This example adds a raster image in model space and rotates the image. ' One rotation is done without angle limits, one is done with ShowRotation, ' which limits rotations to 90 degrees ' This example uses the "downtown.jpg" found in the sample ' directory. If you do not have this image, or it is located ' in a different directory, insert a valid path and file name ' for the imageName variable below. Dim insertionPoint(0 To 2) As Double Dim scalefactor As Double, rotationAngle As Double Dim imageName As String Dim rasterObj As AcadRasterImage imageName = "c:\Autocad\sample\downtown.jpg" ' Define Raster object insertionPoint(0) = 5: insertionPoint(1) = 5: insertionPoint(2) = 0 scalefactor = 1#: rotationAngle = 0 On Error GoTo ERRORTRAP ' Loads a raster image into model space Set rasterObj = ThisDrawing.ModelSpace.AddRaster(imageName, insertionPoint, scalefactor, rotationAngle) ' Limit the raster image rotations to 90 degrees rasterObj.ShowRotation = True ' Rotate the raster image 180 degrees rasterObj.Rotate insertionPoint, 180 ThisDrawing.Application.ZoomAll Exit Sub ' If you get an error (most likely a problem with the file path), ' then display an error message ERRORTRAP: If Err.Description <> "" Then MsgBox Err.Description End If End Sub 可视化 LISP: (vl-load-com) (defun c:Example_ShowRotation() ;; This example adds a raster image in model space and rotates the image. ;; One rotation is done without angle limits, one is done with ShowRotation, ;; which limits rotations to 90 degrees (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; This example uses the "2d Projected Polylines.jpg" found in the sample ;; directory. If you do not have this image, or it is located ;; in a different directory, insert a valid path and file name ;; for the imageName variable below. ;; Define Raster object (setq insertionPoint (vlax-3d-point 5 5 0) imageName ".\\Sample\\VBA\\2d Projected Polylines.jpg" scalefactor 1 rotationAngle 0) ;; Loads a raster image into model space (if (/= (findfile imageName) nil) (progn (setq modelSpace (vla-get-ModelSpace doc)) (setq rasterObj (vla-AddRaster modelSpace (findfile imageName) insertionPoint scalefactor rotationAngle)) ;; Limit the raster image rotations to 90 degrees (vla-put-ShowRotation rasterObj :vlax-true) ;; Rotate the raster image 180 degrees (vla-Rotate rasterObj insertionPoint 180) (vla-ZoomExtents acadObj) ) (alert (strcat imageName " could not be found.")) ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 22:15
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.